DbEnv::mutex_lock()
Prev | Chapter 10. Mutex Methods | Next

## DbEnv::mutex_lock()

    #include <db_cxx.h>

    int
    DbEnv::mutex_lock(db_mutex_t mutex);

The `DbEnv::mutex_lock()` method locks the mutex allocated by DbEnv::mutex_alloc(). The thread of control calling `DbEnv::mutex_lock()` will block until the lock is available.

The `DbEnv::mutex_lock()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### mutex

The mutex parameter is a mutex previously allocated by DbEnv::mutex_alloc().

### Errors

The `DbEnv::mutex_lock()` method may fail and throw a DbException exception, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DbEnv

### See Also

Mutex Methods

Prev | Up | Next
DbEnv::mutex_get_tas_spins() | Home | DbEnv::mutex_set_align()